import request from '@/apis/utils/request'

//物业设备状态(首页头部
export function deviceStatus(data) {
	var url='mobile/energyManage/deviceStatus';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

export function childCompanyList(data) {
	var url='mobile/energyManage/childCompanyList';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}


export function platformRevenue(data) {
	var url='mobile/energyManage/platformRevenue';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}


export function findMeterList(data) {
	var url='/mobile/employee/findMeterList';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}


//物业拥有的设备的单位
export function deviceCompanyList(data) {
	var url='mobile/energyManage/deviceCompanyList';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

//用电量物业
export function homePageKwh(data) {
	var url='mobile/employee/homePageKwh';
	return request({
		timeout:60*1000,
		method: 'post',
		data: data,
		url: url
	})
}

//用电量物业
export function companyKwhList (data) {
	var url='mobile/employee/companyKwhList';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}
//用电量物业
export function alarmRecord(data) {
	var url='mobile/employee/alarmRecord';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

//用电量物业
export function remindList(data) {
	var url='mobile/energyManage/remindList';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

//用电量物业
export function alarmConfiguration(data) {
	var url='mobile/employee/alarmConfiguration';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

//用电量物业
export function alarmRecordDetails (data) {
	var url='mobile/employee/alarmRecordDetails';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}


//能源管理物业
export function homePageManage(data) {
	var url='mobile/energyManage/homePageManage';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

//能源管理物业子表
export function homePageManageChildMeter(data) {
	var url='mobile/energyManage/homePageManageChildMeter';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}


//能源管理物业子表
export function incomeExpenditure(data) {
	var url='mobile/energyManage/incomeExpenditure';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

export function remoteSwitch(data) {
	var url='/mobile/ElectricityMeter/remoteSwitch';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}
